GET api/PatientFamilyHistoryProblems?externalId={externalId}
Gets information about a patient family history problem in the Eye Reach Patients list.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| externalId |
Unique ID of the patient family history problem on integrating system. |
string |
Required |
Body Parameters
None.
Response Information
Resource Description
PatientFamilyHistoryProblemModel| Name | Description | Type | Additional information |
|---|---|---|---|
| PatientExternalId |
ID of the patient in the integrating system (Required). |
string |
None. |
| FamilyHistoryProblemExternalId |
ID of the family history problem in the integrating system (Required). |
string |
None. |
| FamilyHistoryRelationshipExternalId |
ID of the family history relationship in the integrating system (Required). |
string |
None. |
| Comments |
Comments of the patient family history problem. |
string |
None. |
| PortalCreated |
Portal created date of the patient allergy. |
date |
None. |
| Active |
Indicates whether the patient family history problem is active or not. |
boolean |
None. |
| Id |
Unique ID of the model in the portal (Read only). |
string |
None. |
| ExternalId |
Unique ID of the model in the integrating system (Required). |
string |
None. |
Response Formats
application/json, text/json
Sample:
{
"patientExternalId": "sample string 1",
"familyHistoryProblemExternalId": "sample string 2",
"familyHistoryRelationshipExternalId": "sample string 3",
"comments": "sample string 4",
"portalCreated": "2026-05-29T16:58:01.5657095+00:00",
"active": true,
"id": "sample string 7",
"externalId": "sample string 8"
}
application/xml, text/xml
Sample:
<PatientFamilyHistoryProblemModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.FamilyHistoryMaster.PatientFamilyHistoryProblems"> <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 8</ExternalId> <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 7</Id> <Active>true</Active> <Comments>sample string 4</Comments> <FamilyHistoryProblemExternalId>sample string 2</FamilyHistoryProblemExternalId> <FamilyHistoryRelationshipExternalId>sample string 3</FamilyHistoryRelationshipExternalId> <PatientExternalId>sample string 1</PatientExternalId> <PortalCreated>2026-05-29T16:58:01.5657095+00:00</PortalCreated> </PatientFamilyHistoryProblemModel>